package org.maachang.comet.httpd.engine.script.dao;

import java.sql.Types;

public class TypesString {
    public static final String convert( int type ) {
        switch( type ) {
            case Types.ARRAY :
                return "ARRAY" ;
            case Types.BIGINT :
                return "BIGINT" ;
            case Types.BINARY :
                return "BINARY" ;
            case Types.BIT :
                return "BIT" ;
            case Types.BLOB :
                return "BLOB" ;
            case Types.BOOLEAN :
                return "BOOLEAN" ;
            case Types.CHAR :
                return "CHAR" ;
            case Types.CLOB :
                return "CLOB" ;
            case Types.DATALINK :
                return "DATALINK" ;
            case Types.DATE :
                return "DATE" ;
            case Types.DECIMAL :
                return "DECIMAL" ;
            case Types.DISTINCT :
                return "DISTINCT" ;
            case Types.DOUBLE :
                return "DOUBLE" ;
            case Types.FLOAT :
                return "FLOAT" ;
            case Types.INTEGER :
                return "INTEGER" ;
            case Types.JAVA_OBJECT :
                return "JAVA_OBJECT" ;
            case Types.LONGNVARCHAR :
                return "LONGNVARCHAR" ;
            case Types.LONGVARBINARY :
                return "LONGVARBINARY" ;
            case Types.LONGVARCHAR :
                return "LONGVARCHAR" ;
            case Types.NCHAR :
                return "NCHAR" ;
            case Types.NCLOB :
                return "NCLOB" ;
            case Types.NULL :
                return "NULL" ;
            case Types.NUMERIC :
                return "NUMERIC" ;
            case Types.NVARCHAR :
                return "NVARCHAR" ;
            case Types.OTHER :
                return "OTHER" ;
            case Types.REAL :
                return "REAL" ;
            case Types.REF :
                return "REF" ;
            case Types.ROWID :
                return "ROWID" ;
            case Types.SMALLINT :
                return "SMALLINT" ;
            case Types.SQLXML :
                return "XML" ;
            case Types.STRUCT :
                return "STRUCT" ;
            case Types.TIME :
                return "TIME" ;
            case Types.TIMESTAMP :
                return "TIMESTAMP" ;
            case Types.TINYINT :
                return "TINYINT" ;
            case Types.VARBINARY :
                return "VARBINARY" ;
            case Types.VARCHAR :
                return "VARCHAR" ;
        }
        return "Unknown" ;
    }
}
